package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOldposOrderCreateRequest struct {
	/*
	   入参     */
	PosOrderCreateRequest *domain.AlibabaWdkOldposOrderCreatePosOrderCreateRequest `json:"pos_order_create_request,omitempty" required:"false" `
}

func (s *AlibabaWdkOldposOrderCreateRequest) SetPosOrderCreateRequest(v domain.AlibabaWdkOldposOrderCreatePosOrderCreateRequest) *AlibabaWdkOldposOrderCreateRequest {
	s.PosOrderCreateRequest = &v
	return s
}

func (req *AlibabaWdkOldposOrderCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.PosOrderCreateRequest != nil {
		paramMap["pos_order_create_request"] = util.ConvertStruct(*req.PosOrderCreateRequest)
	}
	return paramMap
}

func (req *AlibabaWdkOldposOrderCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
